aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-20 10:27:12 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-20 10:27:12 -0500
commitbb184e13b4806c56e095a1a33c4fc3ea281bdd29 (patch)
tree35768bdb2283e474004376603b4cab44be2ceeba /chapter8
parent057e88552151997d0ffb6f0fd306f5c9830a596e (diff)
Adjust for systemd specific builds.
Diffstat (limited to 'chapter8')
-rw-r--r--chapter8/d-bus.sh20
-rw-r--r--chapter8/man-db.sh4
-rw-r--r--chapter8/procps-ng.sh4
-rw-r--r--chapter8/systemd.sh46
-rw-r--r--chapter8/util-linux.sh2
5 files changed, 70 insertions, 6 deletions
diff --git a/chapter8/d-bus.sh b/chapter8/d-bus.sh
new file mode 100644
index 0000000..3ba0536
--- /dev/null
+++ b/chapter8/d-bus.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-doxygen-docs \
+ --disable-xml-docs \
+ --docdir=/usr/share/doc/dbus-"${VERSION}" \
+ --with-console-auth-dir=/run/console \
+ --with-system-pid-file=/run/dbus/pid \
+ --with-system-socket=/run/dbus/system_bus_socket &&
+
+make &&
+
+make -j1 install &&
+mv -v /usr/lib/libdbus-1.so.* /lib &&
+ln -sfv ../../lib/$(readlink /usr/lib/libdbus-1.so) /usr/lib/libdbus-1.so &&
+ln -sfv /etc/machine-id /var/lib/dbus
diff --git a/chapter8/man-db.sh b/chapter8/man-db.sh
index afa8cb0..8076622 100644
--- a/chapter8/man-db.sh
+++ b/chapter8/man-db.sh
@@ -8,9 +8,7 @@ set -e
--enable-cache-owner=bin \
--with-browser=/usr/bin/lynx \
--with-vgrind=/usr/bin/vgrind \
- --with-grap=/usr/bin/grap \
- --with-systemdtmpfilesdir= \
- --with-systemdsystemunitdir= &&
+ --with-grap=/usr/bin/grap &&
make &&
diff --git a/chapter8/procps-ng.sh b/chapter8/procps-ng.sh
index 85be2d6..630cfe4 100644
--- a/chapter8/procps-ng.sh
+++ b/chapter8/procps-ng.sh
@@ -6,7 +6,9 @@ set -e
--libdir=/usr/lib \
--docdir=/usr/share/doc/procps-ng-"${VERSION}" \
--disable-static \
- --disable-kill &&
+ --disable-kill \
+ --with-systemd &&
+
make &&
diff --git a/chapter8/systemd.sh b/chapter8/systemd.sh
new file mode 100644
index 0000000..7b9f562
--- /dev/null
+++ b/chapter8/systemd.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+set -e
+
+patch -Np1 -i ../systemd-"${VERSION}"-upstream_fixes-2.patch &&
+sed '181,$ d' -i src/resolve/meson.build &&
+sed -i 's/GROUP="render"/GROUP="video"/' rules.d/50-udev-default.rules.in &&
+
+mkdir -v build
+cd build || exit 1
+
+LANG=en_US.UTF-8 \
+meson --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ -Dblkid=true \
+ -Dbuildtype=release \
+ -Ddefault-dnssec=no \
+ -Dfirstboot=false \
+ -Dinstall-tests=false \
+ -Dkmod-path=/bin/kmod \
+ -Dldconfig=false \
+ -Dmount-path=/bin/mount \
+ -Drootprefix= \
+ -Drootlibdir=/lib \
+ -Dsplit-usr=true \
+ -Dsulogin-path=/sbin/sulogin \
+ -Dsysusers=false \
+ -Dumount-path=/bin/umount \
+ -Db_lto=false \
+ -Drpmmacrosdir=no \
+ -Dhomed=false \
+ -Duserdb=false \
+ -Dman=false \
+ -Dmode=release \
+ -Ddocdir=/usr/share/doc/systemd-"${VERSION}" \
+ .. &&
+
+LANG=en_US.UTF-8 ninja &&
+
+LANG=en_US.UTF-8 ninja install &&
+tar -xvf ../../systemd-man-pages-"${VERSION}"-2.tar.xz \
+ --strip-components=1 -C /usr/share/man &&
+rm -rfv /usr/lib/pam.d &&
+systemd-machine-id-setup &&
+systemctl preset-all &&
+systemctl disable systemd-time-wait-sync.service
diff --git a/chapter8/util-linux.sh b/chapter8/util-linux.sh
index de1a5e4..6e3c0ff 100644
--- a/chapter8/util-linux.sh
+++ b/chapter8/util-linux.sh
@@ -12,8 +12,6 @@ set -e
--disable-pylibmount \
--disable-static \
--without-python \
- --without-systemd \
- --without-systemdsystemunitdir \
runstatedir=/run &&
make &&